<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$annio=$_GET['annio'];


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select
codigo_opsu,
pais,
condicion_res,
cedula,
pasaporte,
apellidos,
nombres,
genero,
fechanac,
fecha_ingreso,
fecha_defensa,
fecha_egreso,
turno,
etnia,
mencion_honorifica,
becado,
institucion,
privado_lib,
promedio,
discapacidad,
comentario
from egresados
where 
annio='$annio'
order by
codigo_opsu,apellidos,nombres
";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='204;0000000446;Coordinación de Control de Estudios'.';';

// Apertura del archivo texto
$nombre_archivo = '0000000446_204_'.$annio.'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {
    $fecha_nac=join ("-",(array_reverse(split("-",$row[8]))));
	if($fecha_nac=='00-00-0000'){
	   $fecha_nac='0-0-1988';
	   }
	   
	$fecha_ingreso=join ("-",(array_reverse(split("-",$row[9]))));
	if($fecha_ingreso=='00-00-0000'){
	   $fecha_ingreso='0-0-2003';
	   } 
	  
	$fecha_defensa=join ("-",(array_reverse(split("-",$row[10]))));
	if($fecha_defensa=='00-00-0000'){
	   $fecha_defensa='0-0-2009';
	   }
	
	$fecha_egreso=join ("-",(array_reverse(split("-",$row[11]))));
	if($fecha_egreso=='00-00-0000'){
	   $fecha_egreso='0-0-2009';
	   } 
	$pais=$row[1];   
	if(($pais=='') ) {
	   $pais='296';
	}   
	$discapacidad=$row[19];   
	if(($discapacidad=='') ) {
	   $discapacidad='0';
	}   
	          
	// Inserción del participante en el archivo
    $linea=$row[0].';'.$pais.';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$row[6].';'.$row[7].';'.$fecha_nac.';'.$fecha_ingreso.';'.$fecha_defensa.';'.$fecha_egreso.';'.$row[12].';'.$row[13].';'.$row[14].';'.$row[15].';'.$row[16].';'.$row[17].';'.$row[18].';'.$discapacidad.';'.$row[20].';';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>